<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>简单的html5 File测试 for pic2base64</title>
    <style>
    </style>
    <script>
        window.onload = function(){
            var input = document.getElementById("demo_input");
            var result= document.getElementById("result");
            var img_area = document.getElementById("img_area");
            if ( typeof(FileReader) === 'undefined' ){
                result.innerHTML = "抱歉，你的浏览器不支持 FileReader，请使用现代浏览器操作！";
                input.setAttribute('disabled','disabled');
            }else{
                input.addEventListener('change',readFile,false);
            }
        }
        function readFile(){
            var file = this.files[0];
            //这里我们判断下类型如果不是图片就返回 去掉就可以上传任意文件
            if(!/image\/\w+/.test(file.type)){
                alert("请确保文件为图像类型");
                return false;
            }
            var reader = new FileReader();
            reader.readAsDataURL(file);
            console.log();
            reader.onload = function(e){
                result.innerHTML = this.result;
                img_area.innerHTML = '<div class="sitetip">图片img标签展示：</div><img src="'+this.result+'" alt=""/>';
            }
        }
    </script>
</head>
<body>
<form action="/order/addRefund" method="post">
    <input type="file" value="sdgsdg" id="demo_input" /><br />
    images:<input name="data[images][]" id="result" rows=30 cols=300 value="20180820141518_093938" />
    images:<input name="data[images][]" id="result" rows=30 cols=300 value="20180820141506_659188" />
    用户登录状态key:<input name="data[key]" value="52da049f7e2fbf0e10da32dfe909850e"/><br />
    订单id:<input name="data[orderId]" value="1"/><br />
    附加消息:<input name="data[buyerMessage]" value="这个货太差了你知道吗"/><br />
    商品id:<input name="data[goodsId]" value="104898"/><br />
    退款金额:<input name="data[refundAmount]" value="90"/><br />
    原因id:<input name="data[reasonId]" value="95"/><br />
   退款类型: <select name="data[refundType]"><br />
        <option value="1" >仅退款</option>
        <option value="2" selected>退货退款</option>
    </select>
    退货退款配送方式: <select name="data[refundShippingType]"><br />
        <option value="0" >买家自退</option>
        <option value="1" selected>商家配取</option>
        <option value="2" >快递</option>
    </select>
    <p id="img_area"></p>
    <input type="submit" value="提交">
</form>

</body>
</html>